Pumpkin User Forums
  TI's MSP430
  Linking Problem while Building the TI MSP 430

Post New Topic  Post A Reply
profile | register | preferences | faq | search

UBBFriend: Email This Page to Someone! next newest topic | next oldest topic
Author Topic:   Linking Problem while Building the TI MSP 430
aek
Moderator
posted December 12, 2007 17:02     Click Here to See the Profile for aek     Edit/Delete Message   Reply w/Quote
I was able to build and run tut5 on x1xx and x4xx MSP430's using EW430 5.0 and the latest Salvo for MSP430 release.

EW430 5.0 is the first EW430 release we've used that does not work in Win98. While IAR does clearly specify that Win2k or later is required, this is the first that we've seen that truly required Win2k or later.

------------------

IP:

aek
Moderator
posted December 12, 2007 10:23     Click Here to See the Profile for aek     Edit/Delete Message   Reply w/Quote
4.1.0-rc6 is now online and includes libraries built with IAR EW430 5.0 (compiler v4.10A).

However, we have been unable to test them as EW430 5.0 has a bunch of problems, not the least of which is an inability to handle the symbol $PROJ_DIR$ in include paths.

Are you having the same problem? If not, can you delete the Salvo library from the existing tut5 project and add in the same-named Salvo library from Pumpkin\Salvo\Lib\IAR430-v4 and see if it builds successfully?

Thanks,

------------------

IP:

aek
Moderator
posted December 06, 2007 22:04     Click Here to See the Profile for aek     Edit/Delete Message   Reply w/Quote
OK, we will release a new Salvo for MSP430 next week and it will include the new libraries with _rt_version 3.

Please check back then.

------------------

IP:

Avinash Sharma
Junior Member
posted December 06, 2007 21:57     Click Here to See the Profile for Avinash Sharma     Edit/Delete Message   Reply w/Quote

After Building their Example Code I have Found The :-
---------------------------------------------
IAR MSP430 C/C++ Compiler V4.10A/W32 [Kickstart LMS] 07/Dec/2007 11:24:33 #
# Copyright 1996-2007 IAR Systems. All rights reserved. #
# #
# __rt_version = 3 #
# __double_size = 32 #
# __reg_r4 = free #
# __reg_r5 = free #
# __pic = no #
# __core = 430
---------------------------------------------
I think _rt_version The The Orignal Version

IP:

aek
Moderator
posted December 06, 2007 20:34     Click Here to See the Profile for aek     Edit/Delete Message   Reply w/Quote
IAR messed up the release of their latest compiler ... what exactly is the version of the _compiler_ you are using? Look in the Build Log window ...

------------------

IP:

Avinash Sharma
Junior Member
posted December 06, 2007 20:31     Click Here to See the Profile for Avinash Sharma     Edit/Delete Message   Reply w/Quote
Thanks For Solution

I didnt Worked. Actually I am Using, IAR Embedded Workbench for MSP430 V4.10A.

Can You give the Steps what I have to do?

IP:

aek
Moderator
posted December 06, 2007 04:23     Click Here to See the Profile for aek     Edit/Delete Message   Reply w/Quote
http://www.pumpkininc.com/ubb/Forum19/HTML/000018.html

------------------

IP:

Avinash Sharma
Junior Member
posted December 05, 2007 20:35     Click Here to See the Profile for Avinash Sharma     Edit/Delete Message   Reply w/Quote
hi,

It was my first time I am using SALVO Lite. While building the Example Code For MSP430x1xx I get The linking Error on IAR Workbench :-

Error[e117]: Incompatible runtime models. Module salvomem specifies that '__rt_version' must be '3', but module salvobinsem has the value '2'.

Can you Please help on This topic

Avinash Kumar Sharma

IP:

All times are ET

next newest topic | next oldest topic

Administrative Options: Close Topic | Archive/Move | Delete Topic
Post New Topic  Post A Reply
Hop to:

Contact Us | Pumpkin Home Page

2000-2008 Pumpkin, Inc. All Rights Reserved. Pumpkin and the Pumpkin logo, Salvo and the Salvo logo, The RTOS that runs in tiny places, CubeSat Kit and the CubeSat Kit logo are all trademarks of Pumpkin, Inc. All other trademarks are the properties of their respective owners.


Ultimate Bulletin Board 5.46a